2014-10-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.23 released.

2014-09-29  Jerry James  <james@xemacs.org>

	* Makefile: Drop XEmacs 21.1 support.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.22 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.21 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* .hgignore: New file.

2007-02-25  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.20 released.

2007-02-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.el (latin-unity-representations-present-region):
	Assume C1 characters map to themselves, as is true for all
	ISO-8859-X coding systems.  Should fix the bug reported by
	Joachim Schrod and Fabrice Popineau.  See
	<ire6dxp3.fsf@esemetz.metz.supelec.fr>.

2007-02-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.el: Documentation clarification.

2006-08-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.19 released.

2006-06-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity-vars.el (latin-unity-non-latin-bit-flag): New constant.

	* latin-unity.el (latin-unity-representations-present-region): Use
	it to kludge around bug reported in
	<m364iwq4yq.fsf@jerrypc.cs.usu.edu>.

2006-06-28  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.18 released.

2006-06-25  Aidan Kehoe  <kehoea@parhasard.net>

	* latin-unity-latin10.el (charsetp):
	* latin-unity-latin10.el (coding-system-p):
	* latin-unity-latin7.el (charsetp):
	* latin-unity-latin7.el (coding-system-p):
	* latin-unity-latin8.el (charsetp):
	* latin-unity-latin8.el (coding-system-p):
	* latin-unity-latin9.el (charsetp):
	* latin-unity-latin9.el (coding-system-p):
	I didn't understand assert's calling conventions when writing this
	code, and as a result an assertion failure doesn't show the string
	I intended it to. 
	
2006-05-03  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.17 released.

2006-05-02  Jerry James  <james@xemacs.org>

	* latin-unity.el (latin-unity-list-coding-systems): Change
	malformed \U to \nU as it should have been.

2005-12-29  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.16 released.

2005-12-17  Ville Skyttä  <scop@xemacs.org>

	* latin-unity.el (latin-unity-sanity-check): Mimic `write-region's
	kludgy feature where the region's start offset is a string.

2005-04-10  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.15 released.

2005-04-10  Aidan Kehoe  <kehoea@parhasard.net>

	* latin-unity-utils.el:
	Have latin-unity-utils.el actually work with 21.5's Unicode
	support. 

2005-02-28  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.14 released.

2005-02-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.13 released.

	* Makefile (VERSION): XEmacs package 1.12 released.

2005-02-08  Aidan Kehoe  <kehoea@parhasard.net> 
 
	* Makefile: Update version, requires, preloads. 

	* latin-unity-latin7.el (iso8859/13-case-table): Removed. 
 
	* latin-unity-latin10.el: 
	* latin-unity-latin7.el: 
	* latin-unity-latin8.el: 
	* latin-unity-latin9.el: 
	Refactor out functionality, add asserts to make sure the old 
	functionality is provided by latin-euro-standards.  
 
	* latin-unity-vars.el:  
	Depend on latin-euro-standards instead of latin-unity-latin*. 
	* latin-unity.el:  
	Depend on latin-unity-vars to load latin{7,8,9,10} language 
	environment.  
	* latin-unity.texi (Interfaces): Update doc to reflect refactoring. 
  
2004-05-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.10 released.

2004-05-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.el: Add requires for Latin8 & Latin-10 (commented
	out).
	(latin-unity-example): Change to hexademical notation.
	(latin-unity-sanity-check): Add comment on refactoring.

	* latin-unity-tests.el: Label all non-ASCII characters.  Change
	code points to hexadecimal for ease of consulting tables.

	* README: Various updates, mostly related to Latin-9 and Latin-10.

	* FAQ: Add title line.

2004-03-18  Stephen J. Turnbull  <stephen@xemacs.org>

	* BLURB: Mention EuroSign.

2003-10-24  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.el (latin-unity-hack-cookies-last-page):
	(latin-unity-hack-cookies-prop-line):
	(latin-unity-hack-coding-cookie):
	Move coding cookie count checks to `latin-unity-hack-coding-cookie'.

	* latin-unity.texi: Fix the permission notice.  :-(
	
	* latin-unity-latin9.el (flet foo): Remove redundant parens and
	bogus coding cookie.  Add keysyms for some Latin-9 characters.

	* latin-unity.el (latin-unity-hack-cookies-prop-line): Do a better
	job of parsing prop line.

2003-11-09  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.09 released.

2003-11-09  Steve Youngs  <sryoungs@bigpond.net.au>

	* Makefile (EXTRA_SOURCES): Add `latin-unity-tables.el'.
	(GENERATED_ELCS): Removed, obsolete.

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.08 released.

2003-04-16  Steve Youngs  <youngs@xemacs.org>

	* Makefile (REQ_MIN_VERSION): Removed, version 3.79 of GNU/make
	doesn't support $(value foo)
	(CHECK_VERSION): Don't use $(value foo).

2003-04-12  Steve Youngs  <youngs@xemacs.org>

	* Makefile (REQ_MIN_VERSION): New, set to '21 4'
	(CHECK_VERSION): New.
	(bad-version): New.

2003-03-21  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Add latin-unity*.html.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile (TEXI_FILES): Removed.
	* Makefile (INFO_FILES): Removed.
	* Makefile (STANDARD_DOCS): New.
	* Makefile (DATA_1_DEST):
	* Makefile (latin-unity-tables.el):
	* Makefile (clean): Removed.
	* Makefile (tableclean): Removed.
	* Makefile (distclean): Removed.
	* Makefile (tabledistclean): Removed.
	* Makefile (check):
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.
	Delete code to error when no Mule (now automatic).
	Use STANDARD_DOCS instead of explicitly giving the targets
	and dependencies.
	Use GENERATED_ELCS for adding latin-unity-tables.elc; do it before
	including XEmacs.rules and delete extra rules for clean: and
	distclean:, since they're handled automatically now.

2002-12-07  Ville Skyttä  <scop@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* Makefile: Use `compile' instead of hard-coded `all'.
	* latin-unity-tables.el (latin-unity-equivalences):
	Auto-regenerated.

2002-11-01  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.07 released.

2002-10-31  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile (latin-unity-tables.el): Use BOOT_XEMACS.  Improve warning.
	(REQUIRES): Conditionally depend on existence of ../mule-ucs.

	* latin-unity-utils.el: Fix typos in charset names.
	Delete comment documenting old way to do tables.
	(latin-unity-dump-tables): Don't prompt for confirmation when
	overwriting latin-unity-tables.el.  Check for
	latin-unity-tables.el when Unicode support is not available.

2002-10-30  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity-utils.el: Add progress messages for hardcoded charsets.

	* Makefile: Implement latin-unity-tables as generated.
	(REQUIRES): Add dired.
	(check): Exhort testers to run tests by hand.
	(AUTHOR_VERSION): Set to $(VERSION), this is the headwaters.

2002-10-30  Stephen J. Turnbull  <stephen@xemacs.org>

	* ChangeLog: Fix my bogus email.

	* latin-unity.el (latin-unity-maybe-remap): Eliminate redundant
	call to find-coding-system in latin-unity-base-name.  Canonicalize
	CODESYS to base-name on entry.

2002-10-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.texi: Fix style (usage of @samp).
	(Usage): Update recommended usage of variables.
	(Frequently Asked Questions): Two new FAQs.  Thanks, Didier!

2002-10-29  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile: (VERSION): XEmacs package 1.06 released.

2002-10-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.texi (Theory of Operation): Fix bad Previous link.

2002-10-25  Stephen J. Turnbull  <stephen@xemacs.org>

	* (latin-unity-tables.el): Regenerate with Latin-7,8,10.

2002-10-24  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity-utils.el (latin-unity-dump-tables): Put creation
	date information in a couple of useful places.

	* latin-unity-latin8.el:
	* latin-unity-latin10.el:
	New language environments.

	* latin-unity-vars.el: Add requires for Latin-8 and Latin-10.

	* latin-unity-utils.el (Table of Character Set Support): Fix typo.
	Depend on latin-unity-vars.el to require the charset definitions.

	* latin-unity.texi (Frequently Asked Questions): New node.
	Thanks, Didier!
	(Theory of Operation): Minor corrections.
	(What latin-unity Cannot Do for You): Minor corrections.
	(Interfaces): Document Latin 7, 8, and 10.
	(Charsets and Coding Systems): Document	Latin 7, 8, and 10
	support, Unicode support in 21.5, and importance of escape-quoted.

2002-10-22  Stephen J. Turnbull  <stephen@xemacs.org>

	* BLURB: Update for Latin-7 support.

	* README: Update for Latin-7 support and test suite.

	* Makefile: Add latin-unity-latin-7.el, latin-latin7-input.el, and
	latin-unity-tests.el.  Disable check target, currently being
	revised to work with latin-unity-tests.el.

	Reorganize sanity-check (and a couple other functions):
	
	* latin-unity.el (latin-unity-base-name): New function.
	(latin-unity-maybe-set-coding-system):
	(latin-unity-sanity-check):
	(latin-unity-maybe-remap):
	(latin-unity-hack-coding-cookie):
	Use it.

	(latin-unity-coding-system-latin-charset): New function.
	(latin-unity-maybe-remap):
	(latin-unity-sanity-check):
	Use it.

	(latin-unity-massage-name): New function.
	(latin-unity-buffer-charsets-string): New function.
	(latin-unity-sanity-check): Use them.

	(latin-unity-sanity-check): 
	(latin-unity-recommend-representation): 
	Remove now unused bindings of 'preferred and 'buffer-default.


2002-10-20  Stephen Turnbull  <steve@tleepslib1>

	* latin-unity.el: Mark potential improvements in various places.
	(latin-unity-preferred-coding-system-list):  Correct docstring.
	(latin-unity-hack-coding-cookie): Fix symbol/name confusion.
	(latin-unity-test): Deleted, tests move to latin-unity-test.el.
	(latin-unity-list-coding-systems): Fix typo in comment.

	* latin-unity-tests.el: New file, use with test-harness.el.

2002-08-31  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity-latin7.el: 
	* latin-latin7-input.el:
	New files for Latin 7 support.

	* Makefile (ELCS): Add latin-7 .elc files.

	* latin-unity-vars.el:
	* latin-unity.el (latin-unity-charset-alias-alist): Add latin-7.

	* BLURB:
	* README:
	* latin-unity.texi:
	Describe Latin 7 support.

	* latin-unity.el (latin-unity-hack-cookies-prop-line): Don't do
	anything, not even warn about format, if a correctly formatted
	coding cookie isn't found.

2002-06-30  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.el (latin-unity-recode-region):
	(latin-unity-recode-coding-region):
	(latin-unity-read-coding-system-or-charset):
	Fix interactive spec brain-damage.
	(latin-unity-test): Add Latin-1 test, interactive section, use
	`format'.

2002-06-25  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.el (latin-unity-hack-coding-cookie):
	Convert	buffer-file-coding-system to string before comparison, and
	strip eol type.
	(latin-unity-hack-cookies-enabled-p):
	(latin-unity-hack-cookies-last-page):
	Renamed from "hack-coding".
	(latin-unity-hack-cookies-prop-line): Renamed. Skip past semicolon.
	(latin-unity-sanity-check): Use new names.  Reset cookie count.
	(latin-unity-coding-cookies-found):
	(latin-unity-may-set-coding-flag): 
	(latin-unity-like-to-live-dangerously): 
	(latin-unity-hack-cookies-enabled-p):
	Moved up in file to avoid warnings and for style.

2002-06-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.el (latin-unity-maybe-set-coding-system): Fix typo
	in comment.  Improve docstring.  New arg; if args same, don't set
	default.
	(latin-unity-sanity-check): New flet base-name.  Use new arg.
	Warp coding-systems to name space.
	(latin-unity-maybe-remap): Warp coding-system to name space.

2002-05-21  Stephen J. Turnbull  <stephen@xemacs.org>

	* README: Mention coding cookie validation.

	* latin-unity.el (latin-unity-hack-coding-last-page):
	(latin-unity-hack-coding-prop-line):
	New functions to validate coding cookies.
	(latin-unity-sanity-check): Use them.
	(latin-unity-hack-coding-enabled-p): New variable to control usage.
	(latin-unity-hack-coding-cookie): New helper function.

2002-05-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* README: Describe automatic adjustment of buffer-file-coding-system.

	* latin-unity.el (latin-unity-may-set-coding-flag): New variable.
	(latin-unity-maybe-set-coding-system): New function using it.
	(latin-unity-sanity-check): Use it.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-05-07  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.05 released.

2002-05-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile (AUTHOR_VERSION): Bump 1.04 -> 1.05.

	* latin-unity.el (latin-unity-sanity-check): s/sys/x/ in flet.

2002-05-01  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.04 released.

2002-04-30  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile (AUTHOR_VERSION): Bump 1.02 -> 1.04.
	
2002-04-29  Stephen J. Turnbull  <stephen@xemacs.org>

	* README (Features): Update testing status and optional requires.

2002-04-27  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.el (latin-unity-read-coding-system-or-charset): New.
	(latin-unity-remap-region):
	(latin-unity-recode-coding-region):
	(latin-unity-recode-region):
	Use it.

2002-04-24  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.el (latin-unity-charset-alias-alist):
	(latin-unity-coding-system-alias-alist):
	(latin-unity-iso-8859-1-aliases):
	Improve docstrings.

	(latin-unity-sanity-check): 
	(latin-unity-recommend-representation):
	Remove #### flags from verified code.

	(latin-unity-representations-feasible-region):
	(latin-unity-representations-present-region):
	Correct argument checking.

	(latin-unity-representations-feasible-region): Describe planned
	optimizations.

	* README (Planned features): 
	latin-unity.el (various toplevel):
	Move some TODO items out of code to README.

2002-04-09  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.el (latin-unity-sanity-check): Convert coding system
	to name.

2002-04-24  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.03 released.

2002-04-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity-latin9.el: Make set-language-info-alist and
	make-charset forms conditional on XEmacs version to account for
	21.1 API differences.

2002-03-27  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.02 released.

2002-03-25  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity-utils.el (load cl-macs): Inhibit messages.

	* Makefile: Bump AUTHOR_VERSION and remove reference to MANUAL.

	* latin-unity.el (latin-unity-recommend-representation): Give
	values of special coding systems as well as the tag.

	* latin-unity.texi (Basic Functionality):
	* latin-unity.el (latin-unity-ucs-list):
	* README:
	Document the 7-bit grodiness and "pure ASCII" misfeature.

2002-03-25  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): 1.01 released.

2002-03-23  Stephen J. Turnbull  <stephen@xemacs.org>

	* .cvsignore: Add Info files.

	* Makefile (PRELOADS): Add latin-unity-latin9.

	* latin-unity.texi (Interactive Usage): Fix a typo.  Describe
	completion and "guessing" for remap/recoding functions.  Update
	version, this is pretty good.

	* README: Update for revised implementation.

	* latin-unity.el: Require latin-unity-utils instead of precomputed
	latin-unity-tables when character-to-unicode is built-in.

	* latin-unity-utils.el: Remove Mule-UCS dependency for >= 21.5.5.
	Require latin-unity-latin9 and latin-unity-vars, not latin-unity.
	(latin-unity-dump-tables): Make non-Latin charsets implicit.
	Insert creation date.  Fiddle with header and trailer inserted.
	* latin-unity-tables.el: Regenerated.

	* latin-unity-latin10.el: New file, not in CVS.  Ask author.

	* latin-unity-latin9.el: Condition EuroSign keysym defs properly.

	* latin-unity-vars.el: Improve Commentary.
	(latin-unity-debug): Customize.
	(latin-unity-coding-systems): Check if codesys defined at runtime.
	(latin-unity-character-sets): Check if charset defined at runtime.
	(latin-unity-cset-codesys-alist): Check if codesys defined at runtime.

2002-03-19  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity-vars.el, latin-unity-latin9.el: Fix Latin-9
	docstring to not need Latin-9 charset predefined, move charset and
	coding system definitions from former to latter.

2002-03-16  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity-latin9.el (latin-9): Improve documentation for
	environment.

2002-03-12  Adrian Aichner  <adrian@xemacs.org>

	* latin-unity.texi: Fix typos found by my own
	grep-for-likely-typo.pl.
	
2002-03-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity-latin9.el: Bind the EuroSign keysym.

	* latin-unity.el (latin-unity-representations-present-region): Use
	skipchars algorithm for a big speedup.
	(latin-unity-maybe-remap): Fix broken bitvector tests.

2002-03-07  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile (check): Cheesy new regression test.
	(ELCS): Add latin-unity-latin9.elc.

	* README (Implementation): Document latin-unity-latin9.el.

	* latin-unity-latin9.el: Split out from latin-unity-vars.

	* latin-unity.el (Requires): New latin-unity-latin9.
	(latin-unity-sanity-check): Correct polarity of NO-ERROR in calls
	to latin-unity-maybe-remap.
	(latin-unity-maybe-remap): Document NO-ERROR.
	(latin-unity-test): Old name, new function (regression testing).
	(latin-unity-example): Renamed from latin-unity-test.

	* latin-unity.texi (Basic Functionality): Document cl-macs
	messages.  Cosmetic changes.
	(Interactive Usage): Document name change to latin-unity-example
	and new function of old name latin-unity-test.

2002-03-05  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.el (latin-unity-guess-coding-system):
	(latin-unity-guess-charset):
	(latin-unity-coding-system-alias-alist): 
	(latin-unity-charset-alias-alist): 
	New functions and variables.
	(latin-unity-remap-region): 
	(latin-unity-recode-coding-region): 
	(latin-unity-recode-region):
	Implement completion and error recovery using them.

	* (latin-unity-sanity-check):
	(latin-unity-remap-region):
	Simplify sanity-check, including moving error handling for remap
	failure to remap-region.

	* latin-unity.texi (Interactive Usage: latin-unity-guess-charset,
	latin-unity-guess-coding-system,
	latin-unity-preferred-coding-system-list,
	latin-unity-preapproved-coding-system-list):
	Document new functions and variables.
	(Basic Functionality: latin-unity-ucs-list): New name.

	* latin-unity.el (latin-unity-representations-feasible-region):
	(latin-unity-representations-present-region):
	(latin-unity-recommend-representation):
	(latin-unity-remap-region):
	Handle start == nil case for autosaves.

	(latin-unity-sanity-check):
	(latin-unity-recommend-representation):
	Handle null buffer-default or preferred properly.

2002-03-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.el (latin-unity-preapproved-coding-system-list):
	(latin-unity-preferred-coding-system-list):
	(latin-unity-ucs-list):
	(latin-unity-iso-8859-1-aliases):
	Extensible lists are Customize type 'repeat.
	(latin-unity-recommend-representation): Report the buffer to save.

2002-03-03  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.texi (Charsets and Coding Systems, Internals): New nodes.

	* BLURB: Advertise provision of charset, coding system, IM.

	* latin-unity.el (latin-unity-maybe-remap):
	(latin-unity-recommend-representation):
	New functions broken out of `latin-unity-sanity-check'.
	(latin-unity-sanity-check): Reorganize using new functions.

2002-03-02  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity.el (latin-unity-coding-system-priority-list):
	(latin-unity-coding-system-priority-list-buffer):
	New variables.
	(latin-unity-coding-system-priority-list): Help function.

	* README: Document Latin 9 input.

	* latin-unity.el (latin-unity-sanity-check): Handle case where
	region can be represented with remapping as documented.  Special-
	case 'iso-8859-1, Mule doesn't consider it type 'iso2022.

	* latin-euro-input.el: New file.

	* latin-unity-vars.el: Add coding cookie.

2002-03-01  Stephen J. Turnbull  <stephen@xemacs.org>

	* README: Update to current reality.  Add to-do stuff from Erwan
	David and Barry Warsaw.

	* latin-unity-vars.el: Add Latin-9 environment.  Convert characters
	in comment from Latin-1 to Latin-9.

2002-02-25  Stephen J. Turnbull  <stephen@xemacs.org>

	* README: Note out of date status.

	* Makefile (Copyright notice): Add.
	(AUTHOR_VERSION): Bump to 0.99.
	(MAINTAINER): Fix typo.
	(TEXI_FILES, INFO_FILES, MANUAL): New manual.
	(DATA_1_FILES, DATA_1_DEST): Add ChangeLog, Makefile, doc sources.
	(all): Add dependency on $(INFO_FILES).

	* latin-unity.texi: New file.

	* latin-unity-utils.el (Populate the equivalence table): Fix comment.

	* latin-unity.el: Flag RFEs etc with ####.
	(latin-unity-remap-region): Fix interactive form.  Improve docstring.
	(latin-unity-iso-8859-1-aliases): Make it a defcustom.
	(latin-unity-region-representations-present): New function.
	(latin-unity-sanity-check): Use it, fixing bug where if the buffer
	coding system happened to be feasible, we failed to convert other
	character sets at all.
	Change arg name from start to begin.
	Print charset list when debug is non-nil.
	(latin-unity-install): New command.
	(latin-unity-uninstall): New command.
	(latin-unity-test): Document install commands and new debug output.
	(latin-unity-recode-region): New command.
	(latin-unity-recode-coding-region): New command.

2002-01-27  Stephen J. Turnbull  <stephen@xemacs.org>

	* Makefile (AUTHOR_VERSION): Bump to 0.91.

	* latin-unity.el (latin-unity-remap-region): Short-circuit
	identity substitutions.  Improve docstring.
	(latin-unity-sanity-check): Short-circuit if write-region handlers
	are inhibited.  Add coding-system argument (optional for backward
	compatibility).  Update docstring.  Improve comments.  Reformat.

2002-01-26  Steve Youngs  <youngs@xemacs.org>

	* Makefile (GENERATED): Put it after 'include ../../XEmacs.rules'
	so custom-load.elc will be built.

2002-01-25  Steve Youngs  <youngs@xemacs.org>

	* Makefile (all): Build auto-autoloads.elc and custom-loads.elc
	(all): change error if trying to build without Mule.

2002-01-25  Stephen J. Turnbull  <stephen@xemacs.org>

	* latin-unity: New package.

	* latin-unity.el:
	* latin-unity-vars.el:
	* latin-unity-utils.el:
	* Makefile:
	* README:
	* BLURB:
	* package-info.in:
	Created.
	* latin-unity-tables.el: Hand-generated.

